commit:     ea62e779486ae9b1b84d13f8c249f3b007d9ad36
Author:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
AuthorDate: Thu Dec 14 04:36:36 2017 +0000
Commit:     Aric Belsito <lluixhi <AT> gmail <DOT> com>
CommitDate: Thu Dec 14 04:36:36 2017 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=ea62e779

dev-lang/rust: documentation tweaks

 dev-lang/rust/rust-1.21.0.ebuild | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/dev-lang/rust/rust-1.21.0.ebuild b/dev-lang/rust/rust-1.21.0.ebuild
index b10900c..d6c1fe1 100644
--- a/dev-lang/rust/rust-1.21.0.ebuild
+++ b/dev-lang/rust/rust-1.21.0.ebuild
@@ -69,7 +69,6 @@ SRC_URI="https://static.rust-lang.org/dist/${SRC} -> 
rustc-${PV}-src.tar.xz
 LICENSE="|| ( MIT Apache-2.0 ) BSD-1 BSD-2 BSD-4 UoI-NCSA"
 
 IUSE="debug doc jemalloc system-llvm"
-REQUIRED_USE=""
 
 RDEPEND="
        system-llvm? ( sys-devel/llvm:4 )
@@ -192,6 +191,14 @@ src_install() {
        mv "${D}/usr/bin/rust-gdb" "${D}/usr/bin/rust-gdb-${PV}" || die
        mv "${D}/usr/bin/rust-lldb" "${D}/usr/bin/rust-lldb-${PV}" || die
 
+       if use doc; then
+               rm "${D}/usr/$(get_libdir)/${P}/rustlib/manifest-rust-docs" || 
die
+       fi
+
+       rm "${D}/usr/share/doc/${P}/LICENSE-MIT" || die
+       rm "${D}/usr/share/doc/${P}/LICENSE-APACHE" || die
+
+       docompress "${D}/usr/share/${P}/man"
        dodoc COPYRIGHT
 
        cat <<-EOF > "${T}"/50${P}

Reply via email to